Need to upgrade cmake version

Hello all, i want to upgrade came in yocto.
Now i am using the “jetrho” version of cmake, but due to some requirements we want to use cmake of above versions of 3.12 and above.

when i am copying the cmake folder from “thud(cmake3.12)”, its coming error as


ERROR: docdir must contain prefix as its prefix | ETA: --:–:–
ERROR: Failed to parse recipe: /home/phytec/phytec_work/phytec_project/Proxyg-Smart-Helmet/SC606T-Yocto/test/SC60_SC600_Linux_R09_r038/poky/meta/recipes-devtools/cmake_user/cmake_3.12.2.bb


can anyone help for solving this issue.